aboutsummaryrefslogtreecommitdiffstats
path: root/.travis/install.sh
diff options
context:
space:
mode:
authorAlex Gaynor <alex.gaynor@gmail.com>2013-11-07 14:25:44 -0800
committerAlex Gaynor <alex.gaynor@gmail.com>2013-11-07 14:25:44 -0800
commit60f1d8b89cf7eb6f4d58eed7be9b816056c1df9c (patch)
tree5912a5ebeec4f4ffe8ecd6b0fd11b1794a8772c5 /.travis/install.sh
parent105e8137799a2ef7ec8275e3c01d61a04884413b (diff)
parent635b542ded9ede772a2ca907e8bb5349ded333bd (diff)
downloadcryptography-60f1d8b89cf7eb6f4d58eed7be9b816056c1df9c.tar.gz
cryptography-60f1d8b89cf7eb6f4d58eed7be9b816056c1df9c.tar.bz2
cryptography-60f1d8b89cf7eb6f4d58eed7be9b816056c1df9c.zip
Merge branch 'master' into fernet
Diffstat (limited to '.travis/install.sh')
-rwxr-xr-x.travis/install.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/.travis/install.sh b/.travis/install.sh
new file mode 100755
index 00000000..fdd71907
--- /dev/null
+++ b/.travis/install.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [[ "${OPENSSL}" == "0.9.8" ]]; then
+ sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu/ lucid main"
+fi
+
+if [[ "${TOX_ENV}" == "pypy" ]]; then
+ sudo add-apt-repository -y ppa:pypy/ppa
+fi
+
+sudo apt-get -y update
+
+if [[ "${OPENSSL}" == "0.9.8" ]]; then
+ sudo apt-get install -y --force-yes libssl-dev/lucid
+fi
+
+if [[ "${TOX_ENV}" == "pypy" ]]; then
+ sudo apt-get install -y pypy
+
+ # This is required because we need to get rid of the Travis installed PyPy
+ # or it'll take precedence over the PPA installed one.
+ sudo rm -rf /usr/local/pypy/bin
+fi
+
+pip install tox coveralls